Bug Hunting Session
Bug 87348 - linked textboxes/frames don't work in .docx format
Summary: linked textboxes/frames don't work in .docx format
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5 all versions
Hardware: Other All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.1.0 target:5.0.0.3 target:4.4.5
Keywords: bisected, preBibisect
Depends on:
Blocks:
 
Reported: 2014-12-16 06:54 UTC by Justin L
Modified: 2018-10-21 16:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
.docx with linked frames. Links not created in LibreOffice (11.44 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-12-16 06:54 UTC, Justin L
Details
The same document in .doc format. These links work fine. (24.00 KB, application/msword)
2014-12-16 06:55 UTC, Justin L
Details
Office 2013 document. Textframes were NOT linked in the same order that the frame were added. (18.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-06-18 08:35 UTC, Justin L
Details
Office 2003 document. several chains of textboxes using mso-next-textbox (17.92 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-06-19 10:43 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2014-12-16 06:54:00 UTC
Created attachment 110891 [details]
.docx with linked frames.  Links not created in LibreOffice

Although LibreOffice supports Linked Frames/Textboxes and they work with .doc files, they don't work in .docx format.
Comment 1 Justin L 2014-12-16 06:55:58 UTC
Created attachment 110892 [details]
The same document in .doc format.  These links work fine.
Comment 2 Justin L 2014-12-16 07:09:18 UTC
If you open the .doc with LibreOffice, and use LibreOffice to save as a .docx, then LibreOffice can re-open the .docx, but not word.

Tested using Word 2003 with 2007 extensions.
Comment 3 Justin L 2014-12-16 07:27:29 UTC
confirmed that LibreOffice 4.5 development still has this bug.
Comment 4 Buovjaga 2014-12-16 11:25:41 UTC
Thanks for the report. I can confirm the bug, but I believe it is the same one as bug 73499, so I will close this as a duplicate.

Tested on:
Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 170616e9f2d30c1302bbb5a7a4b588bc05cd5cc9
TinderBox: Win-x86@39, Branch:master, Time: 2014-12-12_01:58:46

*** This bug has been marked as a duplicate of bug 73499 ***
Comment 5 Justin L 2015-02-19 07:31:07 UTC
allow generated, unique frame name to be saved:  https://gerrit.libreoffice.org/#/c/14548/
Comment 6 Justin L 2015-06-18 07:31:46 UTC
not a duplicate.  The other one is specifically related to grouping. This bug is based on not honouring the mso-next-textbox xml attribute.
Comment 7 Justin L 2015-06-18 08:35:51 UTC
Created attachment 116616 [details]
Office 2013 document. Textframes were NOT linked in the same order that the frame were added.

the processing of Linked Textboxes assumed some kind of ordered processing which was faulty.  Issued a patch to fix that. https://gerrit.libreoffice.org/#/c/16353
Comment 8 Justin L 2015-06-19 10:43:52 UTC
Created attachment 116646 [details]
Office 2003 document. several chains of textboxes using mso-next-textbox

This patch hopefully rounds out most of the import issues.  It adds support for older vml-style linking.  https://gerrit.libreoffice.org/#/c/16366

Remaining is the grouping issue from bug 73499 as well as exporting.
Comment 9 Justin L 2015-06-26 13:20:17 UTC
Exporting linked-textboxes is in a terrible state.  MSOffice is unable to open the exported .docx with connected links.

Only in the ideal case could LibreOffice open it's own exported .docx with connected links.  A patch issued to at least allow LO to export and import .docx repeatedly without breaking the links is proposed: https://gerrit.libreoffice.org/#/c/16516.  The unit test uses the sample document from comment 8.  So, it tests VML initial import, export, and DML import.

I think I'll stop here.  Someone else can pickup the coding of textbox exporting.  There are MANY issues - sizing, spacing, remnant shapes with duplicate names etc.
Comment 10 Commit Notification 2015-06-26 14:27:31 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=976add10b35e482251ed4c75957baeb6811e6e2c

tdf#87348 allow non-sequentially processed textboxes to be linked

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-07-02 10:07:59 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=091fe76b6329b4bb974987554369cbfadd8f2401

tdf#87348 implement mso-next-textbox vml-style textbox chaining import

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-07-03 16:42:17 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4802bf32b84655f6e1d3389070c76371ede8fbce

tdf#87348 enable docx exporting linked textboxes that LO can import

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-07-07 07:18:06 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a51dd6aca55a92d8751b67cdf7a5a6ab8c38237&h=libreoffice-5-0

tdf#87348 enable docx exporting linked textboxes that LO can import

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-07-07 07:28:15 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f408edabd52f865abb29401dbff995921b394e6c&h=libreoffice-4-4

tdf#87348 implement nonsequential and mso-next-textbox textbox chaining

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2015-07-08 06:08:37 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ab3e9292b093fc02c07fc52b25430d253277d1c&h=libreoffice-5-0

tdf#87348 implement nonsequential and mso-next-textbox textbox chaining

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Robinson Tryon (qubit) 2015-12-17 08:41:37 UTC Comment hidden (obsolete)